Bug 972431 - Rename Request: airtsp - C++ Simulated Airline Travel Solution Provider Library
Rename Request: airtsp - C++ Simulated Airline Travel Solution Provider Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On: 732205
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 07:07 EDT by Denis Arnaud
Modified: 2015-07-08 13:13 EDT (History)
6 users (show)

See Also:
Fixed In Version: airtsp-1.01.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-08 13:06:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
epstopdf and graphviz are missing for building the auto-docs (20.82 KB, application/gzip)
2013-06-12 09:36 EDT, Björn "besser82" Esser
no flags Details

  None (edit)
Description Denis Arnaud 2013-06-09 07:07:57 EDT
Spec URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp.spec
SRPM URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp-1.01.0-1.fc18.src.rpm
Description: AirTSP aims at providing a clean API and a simple implementation, as a C++ library, of an Airline Schedule Management System. It is intended to be used in simulated environments only: it is not designed to work in the real-world of Airline IT operations.

AirTSP makes an extensive use of existing open-source libraries for increased functionality, speed and accuracy. In particular the Boost (C++ Standard Extensions: http://www.boost.org) library is used.

Install the AirTSP package if you need a library of basic C++ objects for Airline Schedule Management, mainly for simulation purpose.

Fedora Account System Username: denisarnaud
Comment 1 Denis Arnaud 2013-06-09 07:13:28 EDT
Note that this package has been renamed from AirSched.
See, for references:
* AirSched review request: http://bugzilla.redhat.com/show_bug.cgi?id=732205
* http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
* http://fedoraproject.org/wiki/Package_Renaming_Process
Comment 2 Björn "besser82" Esser 2013-06-12 09:36:16 EDT
Created attachment 760156 [details]
epstopdf and graphviz are missing for building the auto-docs

The autodocs are not build properly caused by missing dot (graphviz), epstopdf (and possibly some more).

Please fix and I'll start a new run.
Comment 3 Denis Arnaud 2013-06-12 11:39:38 EDT
(In reply to Björn Esser from comment #2)
> Created attachment 760156 [details]
> epstopdf and graphviz are missing for building the auto-docs

Done

Spec URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp.spec
SRPM URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp-1.01.0-2.fc17.src.rpm
Comment 4 Björn "besser82" Esser 2013-06-12 11:43:10 EDT
Now it's FTBFS on RAWHIDE:

  Error: No Package found for texlive-utils
Comment 5 Denis Arnaud 2013-06-12 12:29:50 EDT
(In reply to Björn Esser from comment #4)
> Now it's FTBFS on RAWHIDE:
>   Error: No Package found for texlive-utils

Sorry for that (I tested on Fedora 17, as it is the only one available I have under hand right now). The files have been fixed and overwritten (without bumping the version, as it was not building successfully):

Spec URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp.spec
SRPM URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp-1.01.0-2.fc17.src.rpm

The build on Rawhide is successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5496327
Comment 6 Christopher Meng 2013-08-08 00:51:33 EDT
Remove rm -rf $RPM_BUILD_ROOT

Remove %clean
rm -rf $RPM_BUILD_ROOT

Remove %defattr(-,root,root,-)

Above only for EL5+, if you want to package it for EL5, ignore them.

BUT,

Reflected by Fedora 20 Change, please modify your docdir to %{_pkgdocdir}.
Comment 8 Ralf Corsepius 2013-08-12 03:23:01 EDT
MUSTFIX:
* /usr/bin/airtsp-config is not multilib-capable
Comment 10 Christopher Meng 2013-10-19 22:35:08 EDT
You should check this unfinished one.
Comment 11 Christopher Meng 2013-10-19 22:36:20 EDT
Denis, do you want to support EL5?
Comment 12 Björn "besser82" Esser 2013-10-20 02:55:14 EDT
(In reply to Christopher Meng from comment #10)
> You should check this unfinished one.

You dont't say.  :D  I'm on it, but since this is a RENAME-request it doesn't hurry that much, because it's already available in the repos.


(In reply to Christopher Meng from comment #11)
> Denis, do you want to support EL5?

Since the package, to be renamed, is build for el5, too, the RENAME-request should cover el5 as well.
Comment 13 Denis Arnaud 2013-10-20 08:34:58 EDT
(In reply to Christopher Meng from comment #11)
> Denis, do you want to support EL5?

Yes, I do
Comment 14 Christopher Meng 2013-11-03 21:38:59 EST
I think all issues are fixed, time to approve.
Comment 15 Ralf Corsepius 2013-11-04 01:06:19 EST
(In reply to Christopher Meng from comment #14)
> I think all issues are fixed, time to approve.

There still are arch/multilib-related issues. Try building the srpm for i386 and x86_64, unpackage the resulting binary rpms into separate directories and compare them.

Here is one example (There are several more):

diff -Naur i386/usr/share/airtsp/CMake/airtsp-config.cmake x86_64/usr/share/airtsp/CMake/airtsp-config.cmake
--- i386/usr/share/airtsp/CMake/airtsp-config.cmake     2013-11-04 06:16:02.000000000 +0100
+++ x86_64/usr/share/airtsp/CMake/airtsp-config.cmake   2013-11-04 06:01:34.000000000 +0100
@@ -11,7 +11,7 @@
 set (AIRTSP_VERSION "1.01.1")
 set (AIRTSP_BINARY_DIRS "/usr/bin")
 set (AIRTSP_INCLUDE_DIRS "/usr/include")
-set (AIRTSP_LIBRARY_DIRS "/usr/lib")
+set (AIRTSP_LIBRARY_DIRS "/usr/lib64")
 
 # Library dependencies for AirTSP (contains definitions for the AirTSP   
 # IMPORTED targets)


Additionally, the doc-package is having doxygen timestamping issues, which causes the doc package to be built non-deterministically:

# diff -Naur i386/usr/share/doc/airtsp-doc/html/AirlineScheduleTestSuite_8cpp.html x86_64/usr/share/doc/airtsp-doc/html/AirlineScheduleTestSuite_8cpp.html
--- i386/usr/share/doc/airtsp-doc/html/AirlineScheduleTestSuite_8cpp.html       2013-11-04 06:16:05.000000000 +0100
+++ x86_64/usr/share/doc/airtsp-doc/html/AirlineScheduleTestSuite_8cpp.html     2013-11-04 06:01:36.000000000 +0100
@@ -130,7 +130,7 @@
 </div><!-- contents -->
 </div><!-- doc-content -->
                
-               <li class="footer">Generated on Mon Nov 4 2013 06:16:05 for AirTSP by
+               <li class="footer">Generated on Mon Nov 4 2013 06:01:36 for AirTSP by
                  <a href="http://www.doxygen.org/index.html">
                        <img class="footer" src="doxygen.png" alt="doxygen"/></a>
                  1.8.5
Comment 16 Denis Arnaud 2015-04-18 17:59:52 EDT
Spec URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp.spec
SRPM URL: http://denisarnaud.fedorapeople.org/sim/airtsp/airtsp-1.01.1-2.fc20.src.rpm

Builds:
Fedora 22: http://koji.fedoraproject.org/koji/taskinfo?taskID=9509085
Fedora 21: http://koji.fedoraproject.org/koji/taskinfo?taskID=

--------------
As Christophe mentions (comment #14), all the issues have been fixed, and the specification file has been updated for Fedora 22 (there was a small issue with ZeroMQ v2/v3).
The issues Raplh mentions are not blockers.

--------------

Could you approve that rename request?
Comment 17 Ralf Corsepius 2015-04-19 02:44:07 EDT
(In reply to Denis Arnaud from comment #16)

> The issues Raplh mentions are not blockers.
Tenis, these issues are blockers.
Comment 18 Denis Arnaud 2015-04-19 08:06:10 EDT
(In reply to Ralf Corsepius from comment #17)
> > The issues Raplh mentions are not blockers.
> Denis, these issues are blockers.

1. For the Doxygen-generated documentation, AFAIK, it is a "feature". It is logic to have time-stamps in generated files. It of course implies that everytime we generate the -doc sub-package, the time-stamp will be different. It may be configurable within Doxygen. I do not see as a blocking issue (otherwise, it would block dozen of Fedora packages).

2. For the library path within the CMake configuration file, you are right. And thanks to have spotted that issue. It comes from the fact that the CMake configuration file results from a 'configure' processing.

Note that those configure-generated files (e.g., airtsp-cmake, airtsp.m4, airtsp.pc) are helpers only, aimed at developers wanting to use AirTSP, once airtsp-devel has been installed. In other words, those files are NOT used to build the RPM packages themselves: their use scope begins once the RPM packages have been installed. So, those files could be removed from the SRPM (but of course not from the RPM). If you know how to remove some files from the SRPM, but not from the RPM, I would welcome your piece of advice here.

So, again, those issues are not blocking.
Comment 19 Denis Arnaud 2015-04-19 08:11:01 EDT
Please note that this is a rename request, not a review request. The original package, AirSched, was approved in November 2011 (http://bugzilla.redhat.com/show_bug.cgi?id=732205). That rename request comes from an intellectual property issue, as AirSched is a trade mark (http://www.airschedsolutions.com/), and his owner is threatening to suit anyone using it.

So, could we please go on approving that rename request?
Comment 20 Thomas Spura 2015-06-08 03:55:03 EDT
Would it be possible to move the CMake file to %{_libdir} such as:
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/CMake

and cmake can use the files that folder then?

The doc package seems ignorable at least for now, so that the rename can happen and we retire the old package with the trademark problem...
Comment 21 Björn "besser82" Esser 2015-06-08 04:12:34 EDT
Rename looks good from me POV…  Rename approved…  Please fix the mentioned issues during import of the renamed package.
Comment 22 Denis Arnaud 2015-06-08 04:45:44 EDT
Thanks Björn!
I will try to fix the CMake-related issue.
----------------------------------------------

New Package SCM Request
=======================
Package Name: airtsp
Short Description: C++ Simulated Airline Travel Solution Provider (TSP) Library
Upstream URL: https://github.com/airsim/airtsp
Owners: denisarnaud
Branches: f21 f22 f23 el5 el6 epel7
InitialCC:
Comment 23 Gwyn Ciesla 2015-06-08 19:03:39 EDT
Git done (by process-git-requests).
Comment 24 Fedora Update System 2015-06-13 18:02:10 EDT
airtsp-1.01.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/airtsp-1.01.2-1.el6
Comment 25 Fedora Update System 2015-06-13 18:42:16 EDT
airtsp-1.01.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/airtsp-1.01.2-1.el5
Comment 26 Fedora Update System 2015-06-13 18:53:05 EDT
airtsp-1.01.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/airtsp-1.01.2-1.el7
Comment 27 Fedora Update System 2015-06-18 14:32:46 EDT
airtsp-1.01.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 28 Fedora Update System 2015-07-08 13:06:54 EDT
airtsp-1.01.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 29 Fedora Update System 2015-07-08 13:09:25 EDT
airtsp-1.01.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 30 Fedora Update System 2015-07-08 13:13:56 EDT
airtsp-1.01.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.